package com.bonus.canteen.core.menu.enums;

/** @deprecated */
@Deprecated
public enum MktEffTypeEnum {
   USER_SORT(1, "人员类"),
   CANTEEN_SORT(2, "食堂类"),
   PRODUCT_SORT(3, "商品类"),
   WAREHOUSE_SORT(4, "仓库类");

   private final Integer key;
   private final String value;

   MktEffTypeEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

   public static Integer getKey(String value) {
      MktEffTypeEnum[] mktEffTypeEnums = values();
      MktEffTypeEnum[] var2 = mktEffTypeEnums;
      int var3 = mktEffTypeEnums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         MktEffTypeEnum mktEffTypeEnum = var2[var4];
         if (mktEffTypeEnum.value().equals(value)) {
            return mktEffTypeEnum.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      MktEffTypeEnum[] mktEffTypeEnums = values();
      MktEffTypeEnum[] var2 = mktEffTypeEnums;
      int var3 = mktEffTypeEnums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         MktEffTypeEnum mktEffTypeEnum = var2[var4];
         if (mktEffTypeEnum.key().equals(key)) {
            return mktEffTypeEnum.value();
         }
      }

      return null;
   }

}
